Skip to content
Start here

Get Geolocation details

radar.geolocations.get(strgeo_id, GeolocationGetParams**kwargs) -> GeolocationGetResponse
GET/radar/geolocations/{geo_id}

Retrieves the requested Geolocation information. Geolocation names can be localized by sending an Accept-Language HTTP header with a BCP 47 language tag (e.g., Accept-Language: pt-PT). The full quality-value chain is supported (e.g., pt-PT,pt;q=0.9,en;q=0.8).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
geo_id: str

Geolocation ID. Refer to GeoNames

maxLength100
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
class GeolocationGetResponse:
geolocation: Geolocation
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
parent: GeolocationParent
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
parent: GeolocationParentParent
geo_id: str
latitude: str

A numeric string.

longitude: str

A numeric string.

name: str
type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

type: Literal["CONTINENT", "COUNTRY", "ADM1"]

The type of the geolocation.

One of the following:
"CONTINENT"
"COUNTRY"
"ADM1"
code: Optional[str]
locale: Optional[str]

BCP 47 locale code used for the geolocation name translation

Get Geolocation details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
geolocation = client.radar.geolocations.get(
    geo_id="3190509",
)
print(geolocation.geolocation)
{
  "result": {
    "geolocation": {
      "geoId": "2267056",
      "latitude": "10",
      "longitude": "10",
      "name": "Lisbon",
      "parent": {
        "geoId": "2267056",
        "latitude": "10",
        "longitude": "10",
        "name": "Lisbon",
        "parent": {
          "geoId": "2267056",
          "latitude": "10",
          "longitude": "10",
          "name": "Lisbon",
          "type": "CONTINENT",
          "code": "PT-11",
          "locale": "pt-PT"
        },
        "type": "CONTINENT",
        "code": "PT-11",
        "locale": "pt-PT"
      },
      "type": "CONTINENT",
      "code": "PT-11",
      "locale": "pt-PT"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "geolocation": {
      "geoId": "2267056",
      "latitude": "10",
      "longitude": "10",
      "name": "Lisbon",
      "parent": {
        "geoId": "2267056",
        "latitude": "10",
        "longitude": "10",
        "name": "Lisbon",
        "parent": {
          "geoId": "2267056",
          "latitude": "10",
          "longitude": "10",
          "name": "Lisbon",
          "type": "CONTINENT",
          "code": "PT-11",
          "locale": "pt-PT"
        },
        "type": "CONTINENT",
        "code": "PT-11",
        "locale": "pt-PT"
      },
      "type": "CONTINENT",
      "code": "PT-11",
      "locale": "pt-PT"
    }
  },
  "success": true
}